<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Function</title>
  </head>
  <body>
    <script>
      // --------------------------------------------
      // ----- Ülesanne 1
      // --------------------------------------------
      // Kirjuta funktsioon, mis võtab sisendparameetrina toote hinna ja lisab sellele
      // käibemaksu 20%.
      // Kasuta klassikalist süntaksit.

      function addVat(netPrice) {
        return netPrice * 1.2
      }

      // --------------------------------------------
      // ----- Ülesanne 2
      // --------------------------------------------
      // Kirjuta funktsioon, mis võtab sisendparameetrina toote täishinna ja eemaldab sellelt
      // käibemaksu 20%.
      // Kasuta noolefunktsiooni süntaksit.

      // const removeVat = (grossPrice) => {
      //   return grossPrice / 1.2
      // }

      const removeVat = p => p / 1.2
      

      // --------------------------------------------
      // ----- Ülesanne 3
      // --------------------------------------------
      // Kirjuta funktsioon, mis võtab sisendparameetrina toote täishinna ja eemaldab sellelt
      // käibemaksu 20%.
      // Kasuta noolefunktsiooni süntaksit.

      // --------------------------------------------
      // ----- Ülesanne 4
      // --------------------------------------------
      // Kirjuta funktsioon, mis võtab sisendparameetrina aastaarvu ja ütleb, kas tegemist on liht- või liitaastaga.
      // Kui liigaasta, siis tagasta väärtus true, vastasel juhul false.
      // Funktsiooni stiil vali ise.
      //
      // Aasta on liigaasta siis...
      // ... kui see jagub neljaga ja samal ajal ei jagu 100-ga
      // ... või kui see jagub 400-ga
      // Vihje: Kuidas tuvastada, kas arv jagub millegi teisega? Selleks on % operaator (jäägiga jagamine).
      // 4 % 2 annab tulemuseks 0 (jääki pole)
      // 5 % 2 annab tulemuseks 1 (jääk 1)

      function isLeapYear(year) {
        if (year % 4 === 0) {
          if (year % 100 != 0) {
            return true
          } else {
            if (year % 400 === 0) {
              return true
            }
          }
        }
        return false
      }

      function isLeapYear2(year) {
        return year % 4 === 0 && year % 100 != 0 || year % 400 === 0
      }

      // --------------------------------------------
      // ----- Ülesanne 5
      // --------------------------------------------
      // Kirjuta funktsioon, mis võtab sisendparameetrina aasta ja kuu ning tagastab antud aasta ja kuu viimase kuupäeva.
      // Näiteks: getLastDayOfMonth(2020, 2) tagastab 29

      // --------------------------------------------
      // ----- Ülesanne 6 (braintwist)
      // --------------------------------------------
      // Kirjuta funktsioon, mis töötaks nii:
      // sumNumbers(5, 6) tagastab 11
      // sumNumbers(5)(6) tagastab samuti 11
      // Vihje: funktsiooni parameeter võib olla ka funktsioon
    </script>
  </body>
</html>
